Index: code/branches/presentationHS15/data/levels/includes/invaderWeapon.oxi
===================================================================
--- code/branches/presentationHS15/data/levels/includes/invaderWeapon.oxi	(revision 10960)
+++ code/branches/presentationHS15/data/levels/includes/invaderWeapon.oxi	(revision 10961)
@@ -7,5 +7,5 @@
       <WeaponSet firemode=1 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -25,3 +25,6 @@
         </links>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=0.5/>
+    </munition>
Index: code/branches/presentationHS15/data/levels/includes/invaderWeaponEnemy.oxi
===================================================================
--- code/branches/presentationHS15/data/levels/includes/invaderWeaponEnemy.oxi	(revision 10960)
+++ code/branches/presentationHS15/data/levels/includes/invaderWeaponEnemy.oxi	(revision 10961)
@@ -7,5 +7,5 @@
       <WeaponSet firemode=1 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -25,3 +25,6 @@
         </links>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=0.5/>
+    </munition>
Index: code/branches/presentationHS15/data/levels/includes/pickups.oxi
===================================================================
--- code/branches/presentationHS15/data/levels/includes/pickups.oxi	(revision 10960)
+++ code/branches/presentationHS15/data/levels/includes/pickups.oxi	(revision 10961)
@@ -78,4 +78,20 @@
 />
 
+<PickupRepresentation
+    name = "destroy"
+    pickupName = "Destroy Pickup"
+    pickupDescription = "Destroy all pickups you have."
+    spawnerTemplate = "destroypickupRepresentation"
+    inventoryRepresentation = "detroyPickup"
+/>
+
+<PickupRepresentation
+    name = "destroycarrier"
+    pickupName = "Destroy Carrier Pickup"
+    pickupDescription = "destroys you."
+    spawnerTemplate = "destroycarrierpickupRepresentation"
+    inventoryRepresentation = "destroyCarrierPickup"
+/>
+
 <!-- Speed pickups -->
 
@@ -138,4 +154,30 @@
 />
 
+<!-- Munition pickups -->
+
+<PickupRepresentation
+    name = "smallmunitionpickup"
+    pickupName = "Small munition"
+    pickupDescription = "Gives a small amount of munition."
+    spawnerTemplate = "smallmunitionpickupRepresentation"
+    inventoryRepresentation = "SmallMunition"
+/>
+
+<PickupRepresentation
+    name = "mediummunitionpickup"
+    pickupName = "Medium munition"
+    pickupDescription = "Gives a medium amount of munition."
+    spawnerTemplate = "mediummunitionpickupRepresentation"
+    inventoryRepresentation = "MediumMunition"
+/>
+
+<PickupRepresentation
+    name = "hugemunitionpickup"
+    pickupName = "Huge munition"
+    pickupDescription = "Gives a huge amount of munition."
+    spawnerTemplate = "hugemunitionpickupRepresentation"
+    inventoryRepresentation = "HugeMunition"
+/>
+
 <!-- Pickup Collection pickups -->
 
@@ -175,9 +217,9 @@
 
 <PickupRepresentation
-    name = "largedamageboostpickup"
-    pickupName = "Large DamageBoost Pickup"
+    name = "hugedamageboostpickup"
+    pickupName = "Huge DamageBoost Pickup"
     pickupDescription = "Multiplies the ship damage with 7."
-    spawnerTemplate = "largedamageboostpickupRepresentation"
-    inventoryRepresentation = "LargeDamageBoost"
+    spawnerTemplate = "hugedamageboostpickupRepresentation"
+    inventoryRepresentation = "HugeDamageBoost"
 />
 
@@ -207,2 +249,28 @@
     inventoryRepresentation = "HugeShrink"
 />
+
+<!-- Boost Pickup -->
+
+<PickupRepresentation
+    name = "smallboostpickup"
+    pickupName = "Small Boost"
+    pickupDescription = "Restores the boost by a bit"
+    spawnerTemplate = "smallboostpickupRepresentation"
+    inventoryRepresentation = "SmallBoost"
+/>
+
+<PickupRepresentation
+    name = "mediumboostpickup"
+    pickupName = "Medium Boost"
+    pickupDescription = "Restores the boost"
+    spawnerTemplate = "mediumboostpickupRepresentation"
+    inventoryRepresentation = "MediumBoost"
+/>
+
+<PickupRepresentation
+    name = "hugeboostpickup"
+    pickupName = "Huge Boost"
+    pickupDescription = "Restores the boost considerably"
+    spawnerTemplate = "hugeboostpickupRepresentation"
+    inventoryRepresentation = "HugeBoost"
+/>
Index: code/branches/presentationHS15/data/levels/includes/towerWeaponSettings.oxi
===================================================================
--- code/branches/presentationHS15/data/levels/includes/towerWeaponSettings.oxi	(revision 10960)
+++ 	(revision )
@@ -1,55 +1,0 @@
-     <weaponslots>
-      <WeaponSlot position="-15.0,-1.5,0" />
-      <WeaponSlot position=" 15.0,-1.5,0" />
-      <WeaponSlot position="    0,   0,0" />
-    </weaponslots>
-    <weaponsets>
-      <WeaponSet firemode=0 />
-      <WeaponSet firemode=1 />
-      <WeaponSet firemode=2 />
-      <WeaponSet firemode=3 />
-    </weaponsets>
-    <weapons>
-      <WeaponPack>
-        <links>
-          <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
-          <DefaultWeaponmodeLink firemode=1 weaponmode=1 />
-          <DefaultWeaponmodeLink firemode=2 weaponmode=2 />
-          <DefaultWeaponmodeLink firemode=3 weaponmode=3 />
-        </links>
-        <Weapon>
-          <attached>
-            <Model mesh="LightningGun.mesh" pitch="100" roll="90" yaw="90" position="0,-1.3,200" scale=1/>
-            <Model mesh="LightningGun-s.mesh" pitch="78" roll="90" yaw="90" position="0.2,-1.3,200" scale=1 />
-            <Model mesh="hs-w01_reduced.mesh" roll="45" pitch="-76" yaw="-45" position="-1.5,1,200" scale=10 />
-          </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0.005 damage=31.4159 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" />
-          <HsW01 mode=0 munitionpershot=0 delay=0     damage=314.159 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" />
-          <LightningGun mode=1 muzzleoffset="0,0,0" damage=3.14159 shielddamage=20 />
-        </Weapon>
-        
-        <Weapon>
-          <attached>
-            <Model mesh="LightningGun.mesh" pitch="103" roll="90" yaw="90" position="0,-1.35,0" />
-            <Model mesh="LightningGun-s.mesh" pitch="103" roll="90" yaw="90" position="0.2,-1.35,0" />
-            <Model mesh="hs-w01_reduced.mesh" roll="90" pitch="-104" yaw="-90" position="0,1.3,0.3" scale=0.6 />
-          </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-0.1, 1.6, -2.0" />
-          <LightningGun mode=1 muzzleoffset="0,0,0" damage=23 />
-        </Weapon>
-        <Weapon>
-          <SimpleRocketFire mode=2 muzzleoffset="0,0,0" damage=30 shielddamage=20 />
-          <RocketFire mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 />
-        </Weapon>
-        
-      </WeaponPack>
-      <WeaponPack>
-        <links>
-          <DefaultWeaponmodeLink firemode=1 weaponmode=0 />
-        </links>
-        <!--Weapon>
-          <EnergyDrink mode=0 munitionpershot=0 delay=0  material="Flares/point_lensflare"muzzleoffset="2,-0.2,-1" />
-        </Weapon-->
-      </WeaponPack>
-    </weapons>
Index: code/branches/presentationHS15/data/levels/includes/weaponSettingsAssff.oxi
===================================================================
--- code/branches/presentationHS15/data/levels/includes/weaponSettingsAssff.oxi	(revision 10960)
+++ code/branches/presentationHS15/data/levels/includes/weaponSettingsAssff.oxi	(revision 10961)
@@ -10,5 +10,5 @@
       <WeaponSet firemode=3 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -24,6 +24,6 @@
             <Model mesh="hs-w01_reduced.mesh" roll="90" pitch="-76" yaw="-90" position="-1.5,1,0.3" scale=0.6 />
           </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" />
-          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" />
+          <HsW01 mode=0 munitionpershot=1 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" />
+          <HsW01 mode=0 munitionpershot=1 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" />
           <LightningGun mode=1 munitionpershot=1 muzzleoffset="0,0,0" damage=3.14159 shielddamage=20 />
         </Weapon>
@@ -34,12 +34,17 @@
             <Model mesh="hs-w01_reduced.mesh" roll="90" pitch="-104" yaw="-90" position="0,1.3,0.3" scale=0.6 />
           </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-0.1, 1.6, -2.0" />
+          <HsW01 mode=0 munitionpershot=1 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" />
+          <HsW01 mode=0 munitionpershot=1 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-0.1, 1.6, -2.0" />
           <LightningGun mode=1 munitionpershot=1 muzzleoffset="0,0,0" damage=23 />
         </Weapon>
         <Weapon>
           <SimpleRocketFire mode=2 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 />
-          <RocketFire mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 />
+          <RocketFire mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 fuel=8 />
         </Weapon>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=2 replenishinterval=7.5/>
+      <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
+      <RocketMunition initialmagazines=5 maxmagazines=5 munitionpermagazine=1 />
+    </munition>    
Index: code/branches/presentationHS15/data/levels/includes/weaponSettingsAssff2.oxi
===================================================================
--- code/branches/presentationHS15/data/levels/includes/weaponSettingsAssff2.oxi	(revision 10960)
+++ code/branches/presentationHS15/data/levels/includes/weaponSettingsAssff2.oxi	(revision 10961)
@@ -9,6 +9,6 @@
       <WeaponSet firemode=2 />
       <WeaponSet firemode=3 />
-    </weaponsets>
-    <weapons>
+    </weaponsets> 
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -23,6 +23,6 @@
             <BlinkingBillboard position="-1.9, -.5, -5.5" material="PE/lensflare" colour="0.128, 0.28, 1" amplitude=0.25 frequency=16 quadratic=0 />
           </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 healthamage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6,1.3,-2.0" />
-          <HsW01 mode=0 munitionpershot=0 delay=0 healthdamage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6,1.3,-2.0" />
+          <HsW01 mode=0 munitionpershot=1 delay=0.125 healthamage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6,1.3,-2.0" />
+          <HsW01 mode=0 munitionpershot=1 delay=0 healthdamage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6,1.3,-2.0" />
           <LightningGun mode=1 munitionpershot=1 muzzleoffset="0,0,0" shielddamage=23 />
         </Weapon>
@@ -32,12 +32,17 @@
             <BlinkingBillboard position="1.9, -.5, -5.5" material="PE/lensflare" colour="0.128, 0.28, 1" amplitude=0.25 frequency=16 quadratic=0 />
           </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0 healthdamage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 1.6,1.3,-2.0" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 healthdamage=3.14159 material="Flares/point_lensflare" muzzleoffset="-0.1,1.6,-2.0" />
+          <HsW01 mode=0 munitionpershot=1 delay=0 healthdamage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 1.6,1.3,-2.0" />
+          <HsW01 mode=0 munitionpershot=1 delay=0.125 healthdamage=3.14159 material="Flares/point_lensflare" muzzleoffset="-0.1,1.6,-2.0" />
           <LightningGun mode=1 munitionpershot=1 muzzleoffset="0,0,0" shielddamage=23 />
         </Weapon>
         <Weapon>
           <SimpleRocketFire mode=2 muzzleoffset="0,0,0" damage=50 />
-          <RocketFire mode=3 muzzleoffset="0,0,0" damage=100 />
+          <RocketFire mode=3 muzzleoffset="0,0,0" damage=100 fuel=10 />
         </Weapon>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=7.5/>
+      <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
+      <RocketMunition initialmagazines=5 maxmagazines=5 munitionpermagazine=1 />
+    </munition>
Index: code/branches/presentationHS15/data/levels/includes/weaponSettingsCollateral.oxi
===================================================================
--- code/branches/presentationHS15/data/levels/includes/weaponSettingsCollateral.oxi	(revision 10960)
+++ code/branches/presentationHS15/data/levels/includes/weaponSettingsCollateral.oxi	(revision 10961)
@@ -10,5 +10,5 @@
       <WeaponSet firemode=3 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -25,7 +25,7 @@
             <Model mesh="hs-w01_reduced.mesh" roll="90" pitch="90" yaw="-90" position="-1.5, 1, -0.3" scale=0.6 /> <!-- MACHINE GUN -->
           </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" />
-          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" />
-          <LightningGun mode=1 muzzleoffset="0,0,0" damage=3.14159 shielddamage=20 />
+          <HsW01 mode=0 munitionpershot=1 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" />
+          <HsW01 mode=0 munitionpershot=1 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" />
+          <LightningGun mode=1 munitionpershot=1 muzzleoffset="0,0,0" damage=3.14159 shielddamage=20 />
         </Weapon>
 
@@ -36,12 +36,17 @@
             <Model mesh="hs-w01_reduced.mesh" roll="90" pitch="90" yaw="-90" position="1.8, 1, -0.3" scale=0.6 /> <!-- MACHINE GUN -->
           </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-0.1, 1.6, -2.0" />
+          <HsW01 mode=0 munitionpershot=1 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" />
+          <HsW01 mode=0 munitionpershot=1 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-0.1, 1.6, -2.0" />
           <LightningGun mode=1 muzzleoffset="0,0,0" damage=23 />
         </Weapon>
         <Weapon>
           <SimpleRocketFire mode=2 muzzleoffset="0,0,0" damage=30 shielddamage=20 />
-          <RocketFire mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 />
+          <RocketFire mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 fuel=10 />
         </Weapon>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=7.5/>
+      <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
+      <RocketMunition initialmagazines=5 maxmagazines=5 munitionpermagazine=1 />
+    </munition>    
Index: code/branches/presentationHS15/data/levels/includes/weaponSettingsEscort.oxi
===================================================================
--- code/branches/presentationHS15/data/levels/includes/weaponSettingsEscort.oxi	(revision 10960)
+++ code/branches/presentationHS15/data/levels/includes/weaponSettingsEscort.oxi	(revision 10961)
@@ -7,5 +7,5 @@
       <WeaponSet firemode=1 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -14,10 +14,8 @@
         </links>
         <Weapon>
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=9.3 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" projectileMesh="LaserBeam2.mesh" />
-          <!--HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" projectileMesh="LaserBeam2.mesh" /-->
+          <HsW01 mode=0 munitionpershot=1 delay=0.125 damage=9.3 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" projectileMesh="LaserBeam2.mesh" />
         </Weapon>
         <Weapon>
-          <HsW01 mode=0 munitionpershot=0 delay=0     damage=9.3 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" projectileMesh="LaserBeam2.mesh" />
-          <!--HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-0.1, 1.6, -2.0" projectileMesh="LaserBeam2.mesh" /-->
+          <HsW01 mode=0 munitionpershot=1 delay=0     damage=9.3 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" projectileMesh="LaserBeam2.mesh" />
         </Weapon>
       </WeaponPack>
@@ -27,3 +25,6 @@
         </links>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=7.5/>
+    </munition>      
Index: code/branches/presentationHS15/data/levels/includes/weaponSettingsFPS.oxi
===================================================================
--- code/branches/presentationHS15/data/levels/includes/weaponSettingsFPS.oxi	(revision 10960)
+++ code/branches/presentationHS15/data/levels/includes/weaponSettingsFPS.oxi	(revision 10961)
@@ -11,5 +11,5 @@
       <WeaponSet firemode=1 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack firemode=0>
         <links>
@@ -49,3 +49,7 @@
         /-->
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=5 replenishamount=1 replenishinterval=7.5/>
+      <LightningMunition initialmagazines=2 maxmagazines=2 munitionpermagazine=8 />
+    </munition>    
Index: code/branches/presentationHS15/data/levels/includes/weaponSettingsFPS_HS14.oxi
===================================================================
--- code/branches/presentationHS15/data/levels/includes/weaponSettingsFPS_HS14.oxi	(revision 10960)
+++ code/branches/presentationHS15/data/levels/includes/weaponSettingsFPS_HS14.oxi	(revision 10961)
@@ -11,5 +11,5 @@
       <WeaponSet firemode=1 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack firemode=0>
         <links>
@@ -49,3 +49,7 @@
         /-->
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=5 replenishamount=1 replenishinterval=7.5/>
+      <LightningMunition initialmagazines=2 maxmagazines=2 munitionpermagazine=8 />
+    </munition>      
Index: code/branches/presentationHS15/data/levels/includes/weaponSettingsFS15.oxi
===================================================================
--- code/branches/presentationHS15/data/levels/includes/weaponSettingsFS15.oxi	(revision 10960)
+++ code/branches/presentationHS15/data/levels/includes/weaponSettingsFS15.oxi	(revision 10961)
@@ -12,5 +12,5 @@
   <WeaponSet firemode=4 />
 </weaponsets>
-<weapons>
+<weaponpacks>
   <WeaponPack>
     <links>
@@ -38,5 +38,5 @@
       <GravityBombFire mode=2 muzzleoffset="0,0,0" damage=30 shielddamage=20 />
       <RocketFireOld mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 />
-      <RocketFire mode=4 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 />
+      <RocketFire mode=4 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 fuel=10 />
     </Weapon>
   </WeaponPack>
@@ -49,3 +49,9 @@
     </Weapon-->
   </WeaponPack>
-</weapons>
+</weaponpacks>
+<munition>
+  <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=7.5/>
+  <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
+  <RocketMunition initialmagazines=5 maxmagazines=5 munitionpermagazine=1 />
+  <GravityBombMunition initialmagazines=3 maxmagazines=3 munitionpermagazine=1 />
+</munition>
Index: code/branches/presentationHS15/data/levels/includes/weaponSettingsGhost.oxi
===================================================================
--- code/branches/presentationHS15/data/levels/includes/weaponSettingsGhost.oxi	(revision 10960)
+++ code/branches/presentationHS15/data/levels/includes/weaponSettingsGhost.oxi	(revision 10961)
@@ -11,5 +11,5 @@
       <WeaponSet firemode=2 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -19,19 +19,24 @@
         </links>
         <Weapon>
-          <HsW01 mode=0 munitionpershot=0 healthdamage=3.14159 delay=0 material="Flares/point_lensflare" />
-          <HsW01 mode=0 munitionpershot=0 healthdamage=3.14159 delay=0.125 material="Flares/point_lensflare" muzzleoffset=" 0.5,0.6,1.7" />
+          <HsW01 mode=0 munitionpershot=1 healthdamage=3.14159 delay=0 material="Flares/point_lensflare" />
+          <HsW01 mode=0 munitionpershot=1 healthdamage=3.14159 delay=0.125 material="Flares/point_lensflare" muzzleoffset=" 0.5,0.6,1.7" />
           <LightningGun mode=1 muzzleoffset="0,0,0" damage=30 shielddamage=10 />
         </Weapon>
         <Weapon>
-          <HsW01 mode=0 munitionpershot=0 damage=3.14159 delay=0  material="Flares/point_lensflare" />
-          <HsW01 mode=0 munitionpershot=0 damage=3.14159 delay=0.125 material="Flares/point_lensflare" muzzleoffset="-0.5,0.6,1.7" />
+          <HsW01 mode=0 munitionpershot=1 damage=3.14159 delay=0  material="Flares/point_lensflare" />
+          <HsW01 mode=0 munitionpershot=1 damage=3.14159 delay=0.125 material="Flares/point_lensflare" muzzleoffset="-0.5,0.6,1.7" />
           <LightningGun mode=1 muzzleoffset="0,0,0" damage=30 shielddamage=10 />
         </Weapon>
         <Weapon>
-          <SimpleRocketFire mode=2 muzzleoffset="0,0,0" damage=50 />
+          <SimpleRocketFire mode=2 munitionpershot=1 muzzleoffset="0,0,0" damage=50 />
         </Weapon>
         <Weapon>
-          <SimpleRocketFire mode=2 muzzleoffset="0,0,0" damage=50 delay=0.1 />
+          <SimpleRocketFire mode=2 munitionpershot=1 muzzleoffset="0,0,0" damage=50 delay=0.1 />
         </Weapon>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=7.5/>
+      <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
+      <RocketMunition initialmagazines=5 maxmagazines=5 munitionpermagazine=1 />
+    </munition>
Index: code/branches/presentationHS15/data/levels/includes/weaponSettingsH2.oxi
===================================================================
--- code/branches/presentationHS15/data/levels/includes/weaponSettingsH2.oxi	(revision 10960)
+++ code/branches/presentationHS15/data/levels/includes/weaponSettingsH2.oxi	(revision 10961)
@@ -8,5 +8,5 @@
       <WeaponSet firemode=1 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -18,6 +18,6 @@
             <Model mesh="hs-w01s.mesh" roll="180" position="0.1, 0.0, 0.0" scale=2 />
           </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=2.5 material="Flares/point_lensflare" muzzleoffset=" 0.8, 0.9,-4" />
-          <HsW01 mode=0 munitionpershot=0 delay=0     damage=2.5 material="Flares/point_lensflare" muzzleoffset="-0.8, 0.9,-4" />
+          <HsW01 mode=0 munitionpershot=1 delay=0.125 damage=2.5 material="Flares/point_lensflare" muzzleoffset=" 0.8, 0.9,-4" />
+          <HsW01 mode=0 munitionpershot=1 delay=0     damage=2.5 material="Flares/point_lensflare" muzzleoffset="-0.8, 0.9,-4" />
         </Weapon>
         <Weapon>
@@ -26,6 +26,6 @@
             <Model mesh="hs-w01s.mesh" roll="180" position="-0.1, 0.0, 0.0" scale=2 />
           </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0     damage=2.5 material="Flares/point_lensflare" muzzleoffset=" 0.8, 0.9, -4.0" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=2.5 material="Flares/point_lensflare" muzzleoffset="-0.8, 0.9, -4.0" />
+          <HsW01 mode=0 munitionpershot=1 delay=0     damage=2.5 material="Flares/point_lensflare" muzzleoffset=" 0.8, 0.9, -4.0" />
+          <HsW01 mode=0 munitionpershot=1 delay=0.125 damage=2.5 material="Flares/point_lensflare" muzzleoffset="-0.8, 0.9, -4.0" />
         </Weapon>
       </WeaponPack>
@@ -42,4 +42,7 @@
         </Weapon>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=10 maxmagazines=10 munitionpermagazine=10 replenishamount=1 replenishinterval=7.5/>
+    </munition>
 
Index: code/branches/presentationHS15/data/levels/includes/weaponSettingsHXY.oxi
===================================================================
--- code/branches/presentationHS15/data/levels/includes/weaponSettingsHXY.oxi	(revision 10960)
+++ code/branches/presentationHS15/data/levels/includes/weaponSettingsHXY.oxi	(revision 10961)
@@ -7,5 +7,5 @@
       <WeaponSet firemode=1 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -24,3 +24,7 @@
         </Weapon>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=10 maxmagazines=10 munitionpermagazine=10 replenishamount=1 replenishinterval=7.5/>
+      <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
+    </munition> 
Index: code/branches/presentationHS15/data/levels/includes/weaponSettingsHeartAttack.oxi
===================================================================
--- code/branches/presentationHS15/data/levels/includes/weaponSettingsHeartAttack.oxi	(revision 10960)
+++ code/branches/presentationHS15/data/levels/includes/weaponSettingsHeartAttack.oxi	(revision 10961)
@@ -11,5 +11,5 @@
       <WeaponSet firemode=3 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -20,19 +20,19 @@
         </links>
         <Weapon>
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" -11.4, 0, -5" />
-          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" -11.4, 0, -5" />
-          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 11.4, 0, -5" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 11.4, 0, -5" />
+          <HsW01 mode=0 munitionpershot=1 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" -11.4, 0, -5" />
+          <HsW01 mode=0 munitionpershot=1 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" -11.4, 0, -5" />
+          <HsW01 mode=0 munitionpershot=1 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 11.4, 0, -5" />
+          <HsW01 mode=0 munitionpershot=1 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 11.4, 0, -5" />
         </Weapon>
         <Weapon>
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" -15, 1.6, -2" />
-          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" -15, 1.6, -2" />
-          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 15, 1.6, -2" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 15, 1.6, -2" />
+          <HsW01 mode=0 munitionpershot=1 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" -15, 1.6, -2" />
+          <HsW01 mode=0 munitionpershot=1 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" -15, 1.6, -2" />
+          <HsW01 mode=0 munitionpershot=1 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 15, 1.6, -2" />
+          <HsW01 mode=0 munitionpershot=1 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 15, 1.6, -2" />
         </Weapon>
         <Weapon>
-          <LaserFire mode=1 munitionpershot=0 muzzleoffset="2.2,6,16" damage=30 shielddamage=20 />
-          <LaserFire mode=1 munitionpershot=0 muzzleoffset="-2.2,6,16" damage=30 shielddamage=20 />
-          <RocketFire mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 />
+          <LaserFire mode=1 munitionpershot=1 muzzleoffset="2.2,6,16" damage=30 shielddamage=20 />
+          <LaserFire mode=1 munitionpershot=1 muzzleoffset="-2.2,6,16" damage=30 shielddamage=20 />
+          <RocketFire mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 fuel=10 />
           <GravityBombFire mode=2 muzzleoffset="0,0,0" damage=30 shielddamage=20 />
         </Weapon>
@@ -40,11 +40,9 @@
         </Weapon>
       </WeaponPack>
-      <WeaponPack>
-        <links>
-          <DefaultWeaponmodeLink firemode=1 weaponmode=0 />
-        </links>
-        <!--Weapon>
-          <EnergyDrink mode=0 munitionpershot=0 delay=0  material="Flares/point_lensflare"muzzleoffset="2,-0.2,-1" />
-        </Weapon-->
-      </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=20 maxmagazines=20 munitionpermagazine=10 replenishamount=1 replenishinterval=6.0/>
+      <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
+      <RocketMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=1 />
+      <GravityBombMunition initialmagazines=5 maxmagazines=5 munitionpermagazine=1 />
+    </munition>
Index: code/branches/presentationHS15/data/levels/includes/weaponSettingsHeavyCruiser.oxi
===================================================================
--- code/branches/presentationHS15/data/levels/includes/weaponSettingsHeavyCruiser.oxi	(revision 10960)
+++ code/branches/presentationHS15/data/levels/includes/weaponSettingsHeavyCruiser.oxi	(revision 10961)
@@ -10,5 +10,5 @@
       <WeaponSet firemode=3 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -24,6 +24,6 @@
             <Model mesh="hs-w01_reduced.mesh" roll="90" pitch="-76" yaw="-90" position="-1.5,1,0.3" scale=0.6 />
           </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" />
-          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" />
+          <HsW01 mode=0 munitionpershot=1 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" />
+          <HsW01 mode=0 munitionpershot=1 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" />
           <LightningGun mode=1 muzzleoffset="0,0,0" damage=3.14159 shielddamage=20 />
         </Weapon>
@@ -34,20 +34,17 @@
             <Model mesh="hs-w01_reduced.mesh" roll="90" pitch="-76" yaw="-90" position="-1.5,1,-10.3" scale=0.6 />
           </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-0.1, 1.6, -2.0" />
+          <HsW01 mode=0 munitionpershot=1 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" />
+          <HsW01 mode=0 munitionpershot=1 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-0.1, 1.6, -2.0" />
           <LightningGun mode=1 muzzleoffset="0,0,0" damage=23 />
         </Weapon>
         <Weapon>
           <SimpleRocketFire mode=2 muzzleoffset="0,0,0" damage=30 shielddamage=20 />
-          <RocketFire mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 />
+          <RocketFire mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 fuel=10 />
         </Weapon>
       </WeaponPack>
-      <WeaponPack>
-        <links>
-          <DefaultWeaponmodeLink firemode=1 weaponmode=0 />
-        </links>
-        <!--Weapon>
-          <EnergyDrink mode=0 munitionpershot=0 delay=0  material="Flares/point_lensflare"muzzleoffset="2,-0.2,-1" />
-        </Weapon-->
-      </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=12 maxmagazines=12 munitionpermagazine=10 replenishamount=1 replenishinterval=5.0/>
+      <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
+      <RocketMunition initialmagazines=5 maxmagazines=5 munitionpermagazine=1 />
+    </munition>
Index: code/branches/presentationHS15/data/levels/includes/weaponSettingsHeavyCruiserBody.oxi
===================================================================
--- code/branches/presentationHS15/data/levels/includes/weaponSettingsHeavyCruiserBody.oxi	(revision 10960)
+++ code/branches/presentationHS15/data/levels/includes/weaponSettingsHeavyCruiserBody.oxi	(revision 10961)
@@ -10,5 +10,5 @@
       <WeaponSet firemode=3 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -21,6 +21,6 @@
           <attached>
           </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" />
-          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" />
+          <HsW01 mode=0 munitionpershot=1 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" />
+          <HsW01 mode=0 munitionpershot=1 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" />
           <LightningGun mode=1 muzzleoffset="0,0,0" damage=3.14159 shielddamage=20 />
         </Weapon>
@@ -28,11 +28,11 @@
           <attached>
           </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-0.1, 1.6, -2.0" />
+          <HsW01 mode=0 munitionpershot=1 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" />
+          <HsW01 mode=0 munitionpershot=1 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-0.1, 1.6, -2.0" />
           <LightningGun mode=1 muzzleoffset="0,0,0" damage=23 />
         </Weapon>
         <Weapon>
           <SimpleRocketFire mode=2 muzzleoffset="0,0,0" damage=30 shielddamage=20 />
-          <RocketFire mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 />
+          <RocketFire mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 fuel=10 />
         </Weapon>
       </WeaponPack>
@@ -45,3 +45,8 @@
         </Weapon-->
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=12 maxmagazines=12 munitionpermagazine=10 replenishamount=1 replenishinterval=7.0/>
+      <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
+      <RocketMunition initialmagazines=5 maxmagazines=5 munitionpermagazine=1 />
+    </munition>
Index: code/branches/presentationHS15/data/levels/includes/weaponSettingsHover.oxi
===================================================================
--- code/branches/presentationHS15/data/levels/includes/weaponSettingsHover.oxi	(revision 10960)
+++ code/branches/presentationHS15/data/levels/includes/weaponSettingsHover.oxi	(revision 10961)
@@ -7,5 +7,5 @@
   <WeaponSet firemode=1 />
 </weaponsets>
-<weapons>
+<weaponpacks>
   <WeaponPack>
     <links>
@@ -25,3 +25,6 @@
     </links>
   </WeaponPack>
-</weapons>
+</weaponpacks>  
+<munition>
+  <IceMunition initialmagazines=1 maxmagazines=1 munitionpermagazine=10/>
+</munition>
Index: code/branches/presentationHS15/data/levels/includes/weaponSettingsImmTest.oxi
===================================================================
--- code/branches/presentationHS15/data/levels/includes/weaponSettingsImmTest.oxi	(revision 10960)
+++ code/branches/presentationHS15/data/levels/includes/weaponSettingsImmTest.oxi	(revision 10961)
@@ -10,5 +10,5 @@
       <WeaponSet firemode=3 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -44,5 +44,5 @@
         <Weapon>
           <SimpleRocketFire mode=2 muzzleoffset="0,0,0" shielddamage=50 />
-          <RocketFire mode=3 muzzleoffset="0,0,0" healthdamage=80 shielddamage=20 />
+          <RocketFire mode=3 muzzleoffset="0,0,0" healthdamage=80 shielddamage=20 fuel=10 />
         </Weapon>
       </WeaponPack>
@@ -55,3 +55,8 @@
         </Weapon-->
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=12 maxmagazines=12 munitionpermagazine=10 replenishamount=1 replenishinterval=7.0/>
+      <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
+      <RocketMunition initialmagazines=5 maxmagazines=5 munitionpermagazine=1 />
+    </munition>
Index: code/branches/presentationHS15/data/levels/includes/weaponSettingsPirate.oxi
===================================================================
--- code/branches/presentationHS15/data/levels/includes/weaponSettingsPirate.oxi	(revision 10960)
+++ code/branches/presentationHS15/data/levels/includes/weaponSettingsPirate.oxi	(revision 10961)
@@ -7,5 +7,5 @@
       <WeaponSet firemode=1 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -14,11 +14,14 @@
         </links>
         <Weapon>
-          <HsW01 mode=0 munitionpershot=0 delay=0     damage=2.5 material="Flares/point_lensflare" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=2.5 material="Flares/point_lensflare" muzzleoffset=" 0.5,0.6,1.7" />
+          <HsW01 mode=0 munitionpershot=1 delay=0     damage=2.5 material="Flares/point_lensflare" />
+          <HsW01 mode=0 munitionpershot=1 delay=0.125 damage=2.5 material="Flares/point_lensflare" muzzleoffset=" 0.5,0.6,1.7" />
         </Weapon>
         <Weapon>
-          <HsW01 mode=0 munitionpershot=0 delay=0     damage=2.5 material="Flares/point_lensflare" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=2.5 material="Flares/point_lensflare" muzzleoffset="-0.5,0.6,1.7" />
+          <HsW01 mode=0 munitionpershot=1 delay=0     damage=2.5 material="Flares/point_lensflare" />
+          <HsW01 mode=0 munitionpershot=1 delay=0.125 damage=2.5 material="Flares/point_lensflare" muzzleoffset="-0.5,0.6,1.7" />
         </Weapon>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=12 maxmagazines=12 munitionpermagazine=10 replenishamount=1 replenishinterval=7.0/>
+    </munition>
Index: code/branches/presentationHS15/data/levels/includes/weaponSettingsRing.oxi
===================================================================
--- code/branches/presentationHS15/data/levels/includes/weaponSettingsRing.oxi	(revision 10960)
+++ code/branches/presentationHS15/data/levels/includes/weaponSettingsRing.oxi	(revision 10961)
@@ -1,26 +1,35 @@
-<weaponslots>
-  <WeaponSlot position="11,0,-7" />
-  <WeaponSlot position="0,0,-7" />
-  <WeaponSlot position="-11,0,-7" />
-</weaponslots>
-<weaponsets>
-  <WeaponSet firemode=0 />
-  <WeaponSet firemode=1 />
-</weaponsets>
-<weapons>
-  <WeaponPack>
-    <links>
-      <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
-      <DefaultWeaponmodeLink firemode=1 weaponmode=1 />
-    </links>
-    <Weapon>
-      <IceGun mode=0 munitionpershot=0 delay=0.125 damage=9.3 muzzleoffset="11,0,-3" freezefactor=0.5 freezetime=2.0 />
-    </Weapon>
-    <Weapon>
-      <IceGun mode=0 munitionpershot=0 delay=0.125 damage=9.3 muzzleoffset=" -11,0,-3" freezefactor=0.5 freezetime=2.0 />
-    </Weapon>
-    <Weapon>
-      <GravityBombFire mode=1 munitionpershot=0 delay=0.125 damage=3 muzzleoffset="0,0,-7"/>
-    </Weapon>
-  </WeaponPack>
-</weapons>
+    <weaponslots>
+      <WeaponSlot position="11,0,-7" />      
+      <WeaponSlot position="-11,0,-7" />
+      <WeaponSlot position="0,0,-7" />
+    </weaponslots>
+    <weaponsets>
+      <WeaponSet firemode=0 />
+      <WeaponSet firemode=1 />
+      <WeaponSet firemode=2 />
+    </weaponsets>
+    <weaponpacks>
+      <WeaponPack>
+        <links>
+          <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
+          <DefaultWeaponmodeLink firemode=1 weaponmode=1 />
+          <DefaultWeaponmodeLink firemode=2 weaponmode=2 />
+        </links>
+        <Weapon>
+          <LaserFire mode=0 munitionpershot=1 damage=10 shielddamage=5 />
+          <IceGun mode=1 munitionpershot=1 delay=0.125 damage=9.3 muzzleoffset="11,0,-3" freezefactor=0.5 freezetime=2.0 />
+        </Weapon>
+        <Weapon>
+          <LaserFire mode=0 munitionpershot=1 damage=10 shielddamage=5 />
+          <IceGun mode=1 munitionpershot=1 delay=0.125 damage=9.3 muzzleoffset=" -11,0,-3" freezefactor=0.5 freezetime=2.0 />
+        </Weapon>
+        <Weapon>
+          <GravityBombFire mode=2 munitionpershot=1 delay=0.125 damage=3 muzzleoffset="0,0,-7"/>
+        </Weapon>
+      </WeaponPack>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=12 maxmagazines=12 munitionpermagazine=10 replenishamount=1 replenishinterval=7.5/>
+      <GravityBombMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=1 />
+      <IceMunition initialmagazines=16 maxmagazines=16 munitionpermagazine=1 />
+    </munition>
Index: code/branches/presentationHS15/data/levels/includes/weaponSettingsSpacecruiser.oxi
===================================================================
--- code/branches/presentationHS15/data/levels/includes/weaponSettingsSpacecruiser.oxi	(revision 10960)
+++ code/branches/presentationHS15/data/levels/includes/weaponSettingsSpacecruiser.oxi	(revision 10961)
@@ -14,5 +14,5 @@
       <WeaponSet firemode=3 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -28,6 +28,6 @@
             <Model mesh="hs-w01_reduced.mesh" roll="90" pitch="-76" yaw="-90" position="-1.5,1,0.3" scale=0.6 />
           </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" />
-          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" />
+          <HsW01 mode=0 munitionpershot=1 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" />
+          <HsW01 mode=0 munitionpershot=1 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" />
           <LightningGun mode=1 muzzleoffset="0,0,0" damage=3.14159 shielddamage=20 />
         </Weapon>
@@ -38,11 +38,11 @@
             <Model mesh="hs-w01_reduced.mesh" roll="90" pitch="-104" yaw="-90" position="0,1.3,0.3" scale=0.6 />
           </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-0.1, 1.6, -2.0" />
+          <HsW01 mode=0 munitionpershot=1 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" />
+          <HsW01 mode=0 munitionpershot=1 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-0.1, 1.6, -2.0" />
           <LightningGun mode=1 muzzleoffset="0,0,0" damage=23 />
         </Weapon>
         <Weapon>
           <SimpleRocketFire mode=2 muzzleoffset="0,0,0" damage=30 shielddamage=20 />
-          <RocketFire mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 />
+          <RocketFire mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 fuel=10 />
         </Weapon>
         <Weapon>
@@ -52,6 +52,6 @@
             <Model mesh="hs-w01_reduced.mesh" roll="90" pitch="-76" yaw="-90" position="-1.5,1,0.3" scale=0.6 />
           </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" />
-          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" />
+          <HsW01 mode=0 munitionpershot=1 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" />
+          <HsW01 mode=0 munitionpershot=1 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" />
           <LightningGun mode=1 muzzleoffset="0,0,0" damage=3.14159 shielddamage=20 />
         </Weapon>
@@ -62,6 +62,6 @@
             <Model mesh="hs-w01_reduced.mesh" roll="90" pitch="-104" yaw="-90" position="0,1.3,0.3" scale=0.6 />
           </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-0.1, 1.6, -2.0" />
+          <HsW01 mode=0 munitionpershot=1 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" />
+          <HsW01 mode=0 munitionpershot=1 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-0.1, 1.6, -2.0" />
           <LightningGun mode=1 muzzleoffset="0,0,0" damage=23 />
         </Weapon>
@@ -72,6 +72,6 @@
             <Model mesh="hs-w01_reduced.mesh" roll="90" pitch="-76" yaw="-90" position="-1.5,1,0.3" scale=0.6 />
           </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" />
-          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" />
+          <HsW01 mode=0 munitionpershot=1 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" />
+          <HsW01 mode=0 munitionpershot=1 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" />
           <LightningGun mode=1 muzzleoffset="0,0,0" damage=3.14159 shielddamage=20 />
         </Weapon>
@@ -82,8 +82,13 @@
             <Model mesh="hs-w01_reduced.mesh" roll="90" pitch="-104" yaw="-90" position="0,1.3,0.3" scale=0.6 />
           </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-0.1, 1.6, -2.0" />
+          <HsW01 mode=0 munitionpershot=1 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" />
+          <HsW01 mode=0 munitionpershot=1 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-0.1, 1.6, -2.0" />
           <LightningGun mode=1 muzzleoffset="0,0,0" damage=23 />
         </Weapon>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=20 maxmagazines=20 munitionpermagazine=10 replenishamount=1 replenishinterval=7.5/>
+      <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
+      <RocketMunition initialmagazines=5 maxmagazines=5 munitionpermagazine=1 />
+    </munition>
Index: code/branches/presentationHS15/data/levels/includes/weaponSettingsSwallow.oxi
===================================================================
--- code/branches/presentationHS15/data/levels/includes/weaponSettingsSwallow.oxi	(revision 10960)
+++ code/branches/presentationHS15/data/levels/includes/weaponSettingsSwallow.oxi	(revision 10961)
@@ -2,4 +2,5 @@
       <WeaponSlot position=" 8,1.66,-17.5" />
       <WeaponSlot position="-8,1.66,-17.5" />
+      <WeaponSlot position="0,1.66,-17.5" />
     </weaponslots>
     <weaponsets>
@@ -7,5 +8,5 @@
       <WeaponSet firemode=1 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -14,9 +15,15 @@
         </links>
         <Weapon>
-          <SplitGun mode=0 munitionpershot=0 damage=6.0 muzzleoffset="0.5,0.6,1.7" splittime=0.2 numberofsplits=2 numberofchilds=3 spread=0.1 damagereduction=2.0 />
+          <SplitGun mode=0 munitionpershot=1 damage=6.0 muzzleoffset="0.5,0.6,1.7" splittime=0.2 numberofsplits=2 numberofchilds=3 spread=0.1 damagereduction=2.0 />
+          <LaserFire mode=1 munitionpershot=1 damage=10.0 muzzleoffset="0.5,0.6,1.7" />
         </Weapon>
         <Weapon>
-          <SplitGun mode=0 munitionpershot=0 damage=6.0 muzzleoffset="-0.5,0.6,1.7" splittime=0.2 numberofsplits=2 numberofchilds=3 spread=0.1 damagereduction=2.0 />
-        </Weapon>
+          <SplitGun mode=0 munitionpershot=1 damage=6.0 muzzleoffset="-0.5,0.6,1.7" splittime=0.2 numberofsplits=2 numberofchilds=3 spread=0.1 damagereduction=2.0 />
+          <LaserFire mode=1 munitionpershot=1 damage=10.0 muzzleoffset="-0.5,0.6,1.7" />
+        </Weapon>       
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=20 maxmagazines=20 munitionpermagazine=10 replenishamount=1 replenishinterval=7.5/>
+      <SplitMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
+    </munition>
Index: code/branches/presentationHS15/data/levels/includes/weaponSettingsTransporter.oxi
===================================================================
--- code/branches/presentationHS15/data/levels/includes/weaponSettingsTransporter.oxi	(revision 10960)
+++ code/branches/presentationHS15/data/levels/includes/weaponSettingsTransporter.oxi	(revision 10961)
@@ -7,5 +7,5 @@
       <WeaponSet firemode=1 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -14,13 +14,17 @@
         </links>
         <Weapon>
-          <HsW01 mode=0 munitionpershot=0 delay=0.1   damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" />
-          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" />
+          <HsW01 mode=0 munitionpershot=1 delay=0.1   damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" />
+          <HsW01 mode=0 munitionpershot=1 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" />
           <LightningGun mode=1 muzzleoffset="0,0,0"   damage=3.14159 shielddamage=20 />
         </Weapon>
         <Weapon>
-          <HsW01 mode=0 munitionpershot=0 delay=0.1   damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" />
-          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" />
+          <HsW01 mode=0 munitionpershot=1 delay=0.1   damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" />
+          <HsW01 mode=0 munitionpershot=1 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" />
           <LightningGun mode=1 muzzleoffset="0,0,0"   damage=3.14159 shielddamage=20 />
         </Weapon>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=20 maxmagazines=20 munitionpermagazine=10 replenishamount=1 replenishinterval=7.5/>
+      <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
+    </munition>
Index: code/branches/presentationHS15/data/levels/includes/weaponSettingsTurret.oxi
===================================================================
--- code/branches/presentationHS15/data/levels/includes/weaponSettingsTurret.oxi	(revision 10960)
+++ code/branches/presentationHS15/data/levels/includes/weaponSettingsTurret.oxi	(revision 10961)
@@ -5,5 +5,5 @@
       <WeaponSet firemode=0 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -20,3 +20,6 @@
         </Weapon>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=7.5/>
+    </munition>
Index: code/branches/presentationHS15/data/levels/includes/weaponSettingsTurret1.oxi
===================================================================
--- code/branches/presentationHS15/data/levels/includes/weaponSettingsTurret1.oxi	(revision 10960)
+++ code/branches/presentationHS15/data/levels/includes/weaponSettingsTurret1.oxi	(revision 10961)
@@ -5,5 +5,5 @@
       <WeaponSet firemode=0 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -20,3 +20,6 @@
         </Weapon>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=7.5/>
+    </munition>
Index: code/branches/presentationHS15/data/levels/includes/weaponSettingsbigship.oxi
===================================================================
--- code/branches/presentationHS15/data/levels/includes/weaponSettingsbigship.oxi	(revision 10960)
+++ code/branches/presentationHS15/data/levels/includes/weaponSettingsbigship.oxi	(revision 10961)
@@ -10,5 +10,5 @@
       <WeaponSet firemode=3 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -21,6 +21,6 @@
           <attached>
           </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" />
-          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" />
+          <HsW01 mode=0 munitionpershot=1 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" />
+          <HsW01 mode=0 munitionpershot=1 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" />
           <LightningGun mode=1 muzzleoffset="0,0,0" damage=3.14159 shielddamage=20 />
         </Weapon>
@@ -29,11 +29,11 @@
            
           </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-0.1, 1.6, -2.0" />
+          <HsW01 mode=0 munitionpershot=1 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" />
+          <HsW01 mode=0 munitionpershot=1 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-0.1, 1.6, -2.0" />
           <LightningGun mode=1 muzzleoffset="0,0,0" damage=23 />
         </Weapon>
         <Weapon>
           <SimpleRocketFire mode=2 muzzleoffset="0,0,0" damage=30 shielddamage=20 />
-          <RocketFire mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 />
+          <RocketFire mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 fuel=10 />
         </Weapon>
       </WeaponPack>
@@ -46,3 +46,8 @@
         </Weapon-->
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=12 maxmagazines=12 munitionpermagazine=10 replenishamount=1 replenishinterval=7.5/>
+      <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
+      <RocketMunition initialmagazines=5 maxmagazines=5 munitionpermagazine=1 />
+    </munition>
